## fwupd 0.9.7

=== meson_options.txt ===
option('enable-doc', type : 'boolean', value : true, description : 'enable developer documentation')
option('enable-introspection', type : 'boolean', value : true, description : 'generate GObject Introspection data')
option('enable-man', type : 'boolean', value : true, description : 'enable man pages')
option('enable-tests', type : 'boolean', value : true, description : 'enable tests')
option('enable-lvfs', type : 'boolean', value : true, description : 'enable LVFS remotes')
option('enable-colorhug', type : 'boolean', value : true, description : 'enable ColorHug support')
option('enable-libelf', type : 'boolean', value : true, description : 'enable libelf support')
option('enable-uefi', type : 'boolean', value : true, description : 'enable UEFI support')
option('enable-uefi-labels', type : 'boolean', value : true, description : 'enable UEFI labels support')
option('enable-dell', type : 'boolean', value : true, description : 'enable Dell-specific support')
option('enable-amt', type : 'boolean', value : true, description : 'enable Intel AMT support')
option('enable-thunderbolt', type : 'boolean', value : true, description : 'enable Thunderbolt support')
option('enable-synaptics', type: 'boolean', value: true, description : 'enable Synaptics MST hub support')
option('enable-systemd', type : 'boolean', value : true, description : 'enable systemd support')
option('enable-consolekit', type : 'boolean', value : true, description : 'enable ConsoleKit support')
option('enable-dummy', type : 'boolean', value : false, description : 'enable the dummy device')
option('enable-gpg', type : 'boolean', value : true, description : 'enable the GPG verification support')
option('enable-pkcs7', type : 'boolean', value : true, description : 'enable the PKCS7 verification support')
option('with-bootdir', type : 'string', value : '/boot/efi', description : 'Directory for EFI system partition')
option('with-systemdunitdir', type: 'string', value: '', description: 'Directory for systemd units')
option('with-udevdir', type: 'string', value: '', description: 'Directory for udev rules')

## fwupd 0.1.5

=== debian/changelog ===
fwupd (0.1.5-0ubuntu3) wily; urgency=medium

  * update nested cab backport patch to cover more items found in CAB.

 -- Mario Limonciello <mario_limonciello@dell.com>  Fri, 16 Oct 2015 15:31:16 -0500

fwupd (0.1.5-0ubuntu2) wily; urgency=medium

  * Backport 4c9f8fd from appstream-glib into fwupd 1.5 to fix
    CAB files with nested directories.

 -- Mario Limonciello <mario_limonciello@dell.com>  Thu, 15 Oct 2015 23:51:20 -0500

fwupd (0.1.5-0ubuntu1) wily; urgency=medium

  [ Mario Limonciello ]
  * Backport 697eb603 from upstream to fix fallback from online to offline
    modes for installing CAB files.

  [ Mathieu Trudel-Lapierre ]
  * Upload to wily (from git revision for the package in Debian NEW).

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Fri, 25 Sep 2015 12:18:59 -0400

=== debian/control ===
Source: fwupd
Priority: optional
Maintainer: Debian EFI <debian-efi@lists.debian.org>
Uploaders: Steve McIntyre <93sam@debian.org>,
           Daniel Jared Dominguez <jared_dominguez@dell.com>,
           Matthias Klumpp <mak@debian.org>,
           Mario Limonciello <mario_limonciello@dell.com>
Build-Depends: debhelper (>= 9.0.0),
               dh-autoreconf,
               docbook-utils,
               gettext,
               intltool,
               libappstream-glib-dev (>= 0.3.5),
               libarchive-dev,
               libcolord-dev (>= 1.0.0),
               libfwup-dev,
               libgcab-dev,
               gcab,
               libgirepository1.0-dev,
               libglib2.0-dev (>= 2.42.1),
               libgpgme11-dev,
               libgudev-1.0-dev,
               libgusb-dev (>= 0.2.2),
               libpolkit-gobject-1-dev (>= 0.103),
               libsqlite3-dev,
               pkg-config,
               libsoup2.4-dev,
               valgrind
Standards-Version: 3.9.6.1
Section: admin
Homepage: https://github.com/hughsie/fwupd
Vcs-Git: git://anonscm.debian.org/uefi/fwupd.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=uefi/fwupd.git

Package: libfwupd1
Architecture: linux-any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Multi-Arch: same
Description: Firmware update daemon library
 fwupd is a daemon to allow session software to update device firmware.
 You can either use a GUI software manager like GNOME Software to view and
 apply updates, the command-line tool or the system D-Bus interface directly.
 Currently, firmware updates using the UEFI capsule format and for the
 ColorHug are supported. More formats may be supported in the future.
 See <https://github.com/hughsie/fwupd> for details
 .
 This package provides the library used by the daemon.

Package: fwupd
Architecture: linux-any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: fwupdate
Multi-Arch: foreign
Description: Firmware update daemon
 fwupd is a daemon to allow session software to update device firmware.
 You can either use a GUI software manager like GNOME Software to view and
 apply updates, the command-line tool or the system D-Bus interface directly.
 Currently, firmware updates using the UEFI capsule format and for the
 ColorHug are supported. More formats may be supported in the future.
 See <https://github.com/hughsie/fwupd> for details

Package: fwupd-dev
Architecture: linux-any
Multi-Arch: same
Depends: fwupd (= ${binary:Version}),
         ${misc:Depends}
Description: development files for fwupd
 fwupd is a daemon to allow session software to update device firmware.
 You can either use a GUI software manager like GNOME Software to view and
 apply updates, the command-line tool or the system D-Bus interface directly.
 Currently, firmware updates using the UEFI capsule format and for the
 ColorHug are supported. More formats may be supported in the future.
 See <https://github.com/hughsie/fwupd> for details
 .
 This package provides the development files for fwupd

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#GPGME needs this for proper building on x86
export CFLAGS += -D_FILE_OFFSET_BITS=64

%:
	dh $@ --with autoreconf

override_dh_autoreconf:
	NOCONFIGURE=1 dh_autoreconf ./autogen.sh

override_dh_auto_configure:
	dh_auto_configure -- --with-systemdunitdir=/lib/systemd/system \
				--disable-colorhug

#Disabled for now.
#https://github.com/hughsie/fwupd/issues/14
override_dh_auto_test:

## fwupd 0.7.0

=== debian/changelog ===
fwupd (0.7.0-0ubuntu4) xenial; urgency=medium

  * Backport UEFI naming to DMI Product Name from master

 -- Mario Limonciello <mario_limonciello@dell.com>  Thu, 14 Apr 2016 12:17:39 -0500

fwupd (0.7.0-0ubuntu3) xenial; urgency=medium

  * Backport commits from upstream to fix problems on big endian.
  * Drop extra patches that are no longer applied
  * Require test suite passing on all architectures (LP: #1565114)

 -- Mario Limonciello <mario_limonciello@dell.com>  Sun, 03 Apr 2016 14:02:29 -0500

fwupd (0.7.0-0ubuntu2) xenial; urgency=medium

  * Don't make test suite failures on big endian architectures fail the build (to be removed later)

 -- Mario Limonciello <mario_limonciello@dell.com>  Fri, 01 Apr 2016 16:40:03 -0500

fwupd (0.7.0-0ubuntu1) xenial; urgency=medium

  * New upstream version (LP: #1565042)
  * Install static app-info file for fwupd
  * update standards version
  * Drop alienware version quirk table patch included upstream
  * Update build-depends to libasppstream-glib-dev 0.5.10
  * Add symbols files for libfwupd and libdfu1
  * Adjust build depends to ensure building with at least gnupg 2.1.0
  * Re-enable test suite
  * Include plugins not compiled in as providers in install
  * Use dh_install --fail-missing to catch other things added upstream at build
  * Use only libtool-bin in build depends
  * Update headers installed for libdfu-dev
  * Use correct dpkg-architecture variable to apply
    -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE.
  * Update symbols

 -- Mario Limonciello <mario_limonciello@dell.com>  Fri, 01 Apr 2016 13:33:50 -0500

fwupd (0.6.3-0ubuntu2) xenial; urgency=medium

  * Merge changes that were dropped from last upload.
  * Drop patches that were included in 0.6.3 release
  * Conditionally enable colorhug if a new enough version is available.  
    This will allow for easier backporting in the future
  * Fix FTBFS on powerpc related to GPGME

 -- Mario Limonciello <mario_limonciello@dell.com>  Wed, 30 Mar 2016 08:23:50 -0500

fwupd (0.6.3-0ubuntu1) xenial; urgency=medium

  * New upstream release
  * debian/control:
    - Bump build-depends on libappstream-glib-dev
  * debian/libdfu1.symbols:
  * debian/libfwupd1.symbols:
    - Add symbols files

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 30 Mar 2016 15:14:56 +1300

fwupd (0.6.2-1ubuntu3) xenial; urgency=medium

  * Explicitly turn off UEFI if libfwup-dev wasn't installed to fix FTBFS
    on these other architectures.
  * Backport unlock support from upstream
  * Install static app-info file for fwupd

 -- Mario Limonciello <mario_limonciello@dell.com>  Tue, 29 Mar 2016 17:10:23 -0500

fwupd (0.6.2-1ubuntu2) xenial; urgency=medium

  * Only build against libfwup-dev on x86 and arm architectures

 -- Mario Limonciello <mario_limonciello@dell.com>  Tue, 29 Mar 2016 15:44:29 -0500

fwupd (0.6.2-1ubuntu1) xenial; urgency=medium

  * Enable quirked firmware versions on Alienware as well

 -- Mario Limonciello <mario_limonciello@dell.com>  Mon, 21 Mar 2016 09:05:51 -0500

fwupd (0.6.2-1) unstable; urgency=medium

  * New upstream release (0.6.2)
    - Fixes for Dell HW versions and UEFI get-results.
  * Set polkit rules to be effective with proper group (Closes: #808832)
  * Add rules compatible with polkit 0.105. (Closes: #808833)

 -- Mario Limonciello <mario_limonciello@dell.com>  Mon, 15 Feb 2016 08:37:19 -0600

fwupd (0.6.0-1) unstable; urgency=medium

  * New upstream release (0.6.0)
    - Adds support for DFU based flashing.
  * Generate libdfu* packages for the newly included libdfu support
  * Update copyright for current source
  * Rename fwupd-dev to the more conventionally named libfwupd-dev
  * update appstream-glib version requirement
  * add gtk-doc-tools to build depends and cleanup after using them.

 -- Mario Limonciello <mario_limonciello@dell.com>  Tue, 08 Dec 2015 13:05:50 -0600

fwupd (0.5.4-1) unstable; urgency=medium

  * New upstream release (0.5.4).
    - Adds support for compiling against fwupdate 0.5.
  * Fix FTBFS on armhf by passing -D_FILE_OFFSET_BITS=64 as well.

 -- Mario Limonciello <mario_limonciello@dell.com>  Thu, 03 Dec 2015 10:51:48 -0600

fwupd (0.5.3-2) unstable; urgency=medium

  * Add build dependency on udev.  (Closes: #804279)
  * Fix hardening flags.

 -- Mario Limonciello <mario_limonciello@dell.com>  Sat, 07 Nov 2015 11:33:31 -0600

fwupd (0.5.3-1) unstable; urgency=medium

  * New upstream release (0.5.3)
  * Drop all patches, now upstream.
  * debian/control: Update build dependencies for new upstream version.

 -- Mario Limonciello <mario_limonciello@dell.com>  Thu, 05 Nov 2015 23:23:19 -0600

fwupd (0.1.5-1) unstable; urgency=low

  * Initial release (Closes: #793446)

 -- Mario Limonciello <mario_limonciello@dell.com>  Wed, 30 Sep 2015 17:04:40 -0500

=== debian/control ===
--- 
+++ 
@@ -10,23 +10,28 @@
                docbook-utils,
                gettext,
                intltool,
-               libappstream-glib-dev (>= 0.3.5),
+               libappstream-glib-dev (>= 0.5.10),
                libarchive-dev,
                libcolord-dev (>= 1.0.0),
-               libfwup-dev,
+               libfwup-dev [amd64 arm64 armhf armel i386],
                libgcab-dev,
                gcab,
                libgirepository1.0-dev,
-               libglib2.0-dev (>= 2.42.1),
+               libglib2.0-dev (>= 2.45.8),
                libgpgme11-dev,
+               gnupg2 (>= 2.1.0),
+               libtool-bin,
                libgudev-1.0-dev,
+               udev,
                libgusb-dev (>= 0.2.2),
                libpolkit-gobject-1-dev (>= 0.103),
                libsqlite3-dev,
                pkg-config,
                libsoup2.4-dev,
+               gtk-doc-tools,
+               libcolorhug-dev,
                valgrind
-Standards-Version: 3.9.6.1
+Standards-Version: 3.9.7
 Section: admin
 Homepage: https://github.com/hughsie/fwupd
 Vcs-Git: git://anonscm.debian.org/uefi/fwupd.git
@@ -47,6 +52,21 @@
  .
  This package provides the library used by the daemon.
 
+Package: libdfu1
+Architecture: linux-any
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
+Multi-Arch: same
+Description: Firmware update daemon library for DFU support
+ fwupd is a daemon to allow session software to update device firmware.
+ You can either use a GUI software manager like GNOME Software to view and
+ apply updates, the command-line tool or the system D-Bus interface directly.
+ Currently, firmware updates using the UEFI capsule format and for the
+ ColorHug are supported. More formats may be supported in the future.
+ See <https://github.com/hughsie/fwupd> for details
+ .
+ This package provides the library used by the daemon for DFU support.
+
 Package: fwupd
 Architecture: linux-any
 Depends: ${misc:Depends},
@@ -61,12 +81,15 @@
  ColorHug are supported. More formats may be supported in the future.
  See <https://github.com/hughsie/fwupd> for details
 
-Package: fwupd-dev
+Package: libfwupd-dev
 Architecture: linux-any
 Multi-Arch: same
-Depends: fwupd (= ${binary:Version}),
+Depends: libfwupd1 (= ${binary:Version}),
          ${misc:Depends}
-Description: development files for fwupd
+Breaks: fwupd-dev (<< 0.5.4-2~)
+Replaces: fwupd-dev (<< 0.5.4-2~)
+Section: libdevel
+Description: development files for libfwupd
  fwupd is a daemon to allow session software to update device firmware.
  You can either use a GUI software manager like GNOME Software to view and
  apply updates, the command-line tool or the system D-Bus interface directly.
@@ -74,4 +97,20 @@
  ColorHug are supported. More formats may be supported in the future.
  See <https://github.com/hughsie/fwupd> for details
  .
- This package provides the development files for fwupd
+ This package provides the development files for libfwupd
+
+Package: libdfu-dev
+Architecture: linux-any
+Multi-Arch: same
+Depends: libdfu1 (= ${binary:Version}),
+         ${misc:Depends}
+Section: libdevel
+Description: development files for libdfu
+ fwupd is a daemon to allow session software to update device firmware.
+ You can either use a GUI software manager like GNOME Software to view and
+ apply updates, the command-line tool or the system D-Bus interface directly.
+ Currently, firmware updates using the UEFI capsule format and for the
+ ColorHug are supported. More formats may be supported in the future.
+ See <https://github.com/hughsie/fwupd> for details
+ .
+ This package provides the development files for libdfu

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#GPGME needs this for proper building on 32 bit archs
ifeq "$(DEB_HOST_ARCH_BITS)" "32"
	export DEB_CFLAGS_MAINT_APPEND = -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE
endif

export COLORHUG="--disable-colorhug"
COLORHUG_VERSION=$(shell dpkg-query -W libcolorhug-dev | awk '{ print $$2 }' | sed 's,-.*,,')
ifeq "1.2.12" "$(word 1, $(sort 1.2.12 $(COLORHUG_VERSION)))"
       export COLORHUG="--enable-colorhug"
endif

%:
	dh $@ --with autoreconf

override_dh_autoreconf:
	NOCONFIGURE=1 dh_autoreconf ./autogen.sh

override_dh_auto_configure:
	if pkg-config --exists fwup; then \
		export UEFI="--enable-uefi"; \
	else \
		export UEFI="--disable-uefi"; \
	fi; \
	dh_auto_configure -- --with-systemdunitdir=/lib/systemd/system \
				$(COLORHUG) $$UEFI

override_dh_install:
	find debian/tmp/usr -name "*a" | xargs rm -f
	dh_install --fail-missing

## fwupd 0.7.2

=== debian/changelog ===
fwupd (0.7.2-0ubuntu1) yakkety; urgency=medium

  * new upstream version.
  * fixes fwupd half of (LP: #1589585)
  * drop patches upstream.
  * update symbols.

 -- Mario Limonciello <mario_limonciello@dell.com>  Fri, 19 Aug 2016 12:32:05 -0500

fwupd (0.7.0-0ubuntu7) yakkety; urgency=medium

  * Download metadata from Amazon S3 instead. (LP: #1612365)

 -- Mario Limonciello <mario_limonciello@dell.com>  Thu, 11 Aug 2016 12:46:46 -0500

fwupd (0.7.0-0ubuntu6) yakkety; urgency=medium

  * Fix USB audio devices not working properly (LP: #1574079)

 -- Mario Limonciello <mario_limonciello@dell.com>  Wed, 08 Jun 2016 21:31:00 -0500

fwupd (0.7.0-0ubuntu5) yakkety; urgency=medium

  * Add name and summary to Rival Steelseries device (LP: #1575248)

 -- Mario Limonciello <mario_limonciello@dell.com>  Tue, 10 May 2016 09:39:57 -0500

## fwupd 0.7.4

=== debian/changelog ===
fwupd (0.7.4-2+deb9u1) stretch-security; urgency=high

  * CVE-2020-10759: Prevent a possible signature verification issue as the
    return value of gpgme_op_verify_result was not being checked.
    (Closes: #962517)

 -- Chris Lamb <lamby@debian.org>  Thu, 09 Jul 2020 10:30:12 +0100

fwupd (0.7.4-2) unstable; urgency=medium

  * Backport a patch to make sure that appstream metadata validates
    properly. (Closes: #837765)
  * Drop armel from libfwup-dev build dependency architecture list.
  * Drop valgrind build dependency for mipsel, mips64el, armhf, and armel
    where it is segfaulting.

 -- Mario Limonciello <mario.limonciello@dell.com>  Tue, 11 Oct 2016 10:17:09 -0500

fwupd (0.7.4-1) unstable; urgency=medium

  * New upstream version (0.7.4)
  * Update symbols file.
  * drop binary patches
  * Drop existing upstream patches
  * Add a patch that verifies providers are called with proper mode
  * debian/control:
  - Update dell email addresses (_ -> .)
  - Add an explicit build dependency on new version of efivar
  - Add build dep on gir1.2-appstreamglib-1.0
  * debian/rules:
  - Adjust architectures that tests are run for missing valgrind
  -  Add autoconf archive to build-depends (Closes: 837826)
  -  Adjust daemon install path to be non multi-arch (Closes: #808831)
  * Backport patch to make sure test suite runs without sysfs
    bind mounted.
  * Mark fwupd-doc package as Multi-Arch: foreign.

 -- Mario Limonciello <mario.limonciello@dell.com>  Mon, 03 Oct 2016 14:55:16 -0500

fwupd (0.7.3-1) unstable; urgency=medium

  * New upstream version (0.7.3)
  * debian/rules: Adjust launch of test suite due to 4eb527
  * Drop wheel/sudo patch, and instead make change in debian/rules at build.
  * Update Vcs-Git URL to secure URL
  * Update standards version
  * Add libsmbios-dev to build dependencies for Dell features
  * Drop gtk-doc documentation into new package fwupd-doc
  * Add new packages for lib0bitdo support
  * require building against libfwup 7
  * Backport patch to allow building on older appstream-glib
  * Add a lintian override for fuzzing tests
  * add gir:depends for libdfu1
  * don't install ebitdo-tool helper tool
  * Backport patches for s390x failures.
    - include binary patch of example.elf
  * set libsmbios to i386/amd64 only
  * Add lintian override for systemd services missing Install.
  * Add libelf-dev to build-depends.

 -- Mario Limonciello <mario_limonciello@dell.com>  Thu, 01 Sep 2016 13:00:30 -0500

fwupd (0.7.2-1) unstable; urgency=medium

  [ Mario Limonciello ]
  * New upstream version (0.7.2)
  * Drop unnecessary patches now upstream.
  * Add gobject-introspection to build dependencies

  [ Michael Biebl ]
  * Split GObject introspection files into a separate package
    named gir1.2-fwupd-1.0. (Fixes: #826743)

  [ Jurica Stanojkovic ]
  * Disable test suite on mips to prevent FTBFS.
    Fixes: #826251)

 -- Mario Limonciello <mario_limonciello@dell.com>  Tue, 28 Jun 2016 08:45:42 -0500

fwupd (0.7.0-1) unstable; urgency=medium

  * New upstream version (0.7.0)
  * Install static app-info file for fwupd
  * Drop alienware version quirk table patch included upstream
  * Update headers installed for libdfu-dev
  * Use correct dpkg-architecture variable to apply
    -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE
  * Block builds on test suite failures
  * update libgusb requirement in debian/control
  * update symbols
  * Backport commits from upstream to fix problems on big endian
  * Backport commit to remove requirement for gnupg 2.1
  * Backport UEFI naming to DMI Product Name from master.
  * Set HOME to current directory for the test suite to run properly on buildd
  * Stop gpg-agent process that persists after test suite run (Closes: #820669)

 -- Mario Limonciello <mario_limonciello@dell.com>  Sun, 17 Apr 2016 23:32:05 -0500

fwupd (0.6.3-1) unstable; urgency=medium

  * New upstream release (0.6.3)
  * Enable quirked firmware versions on Alienware as well
  * Conditionally enable colorhug if a new enough version is available.
    This will allow for easier backporting in the future
  * update standards version
  * Only build against libfwup-dev on x86 and arm architectures
  * add armel to supported architectures too
  * Explicitly turn off UEFI if libfwup-dev wasn't installed to fix FTBFS
    on these other architectures.
  * Fix FTBFS on powerpc related to GPGME
  * Update build-depends to libasppstream-glib-dev 0.5.10
  * Add symbols files for libfwupd and libdfu1
  * Adjust build depends to ensure building with at least gnupg 2.1.0
  * Add libtool-bin into build-depends
  * Re-enable test suite (but don't block additional failures)
  * Include plugins not compiled in as providers in install
  * Install static app-info file for fwupd
  * Use dh_install --fail-missing to catch other things added upstream
    at build time
  * Backport patches from upstream that fix the test suite as a non-root user

 -- Mario Limonciello <mario_limonciello@dell.com>  Thu, 31 Mar 2016 08:59:34 -0500

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Priority: optional
 Maintainer: Debian EFI <debian-efi@lists.debian.org>
 Uploaders: Steve McIntyre <93sam@debian.org>,
-           Daniel Jared Dominguez <jared_dominguez@dell.com>,
+           Daniel Jared Dominguez <jared.dominguez@dell.com>,
            Matthias Klumpp <mak@debian.org>,
-           Mario Limonciello <mario_limonciello@dell.com>
+           Mario Limonciello <mario.limonciello@dell.com>
 Build-Depends: debhelper (>= 9.0.0),
                dh-autoreconf,
                docbook-utils,
@@ -13,29 +13,34 @@
                libappstream-glib-dev (>= 0.5.10),
                libarchive-dev,
                libcolord-dev (>= 1.0.0),
-               libfwup-dev [amd64 arm64 armhf armel i386],
+               libefivar-dev (>= 28) [amd64 arm64 armhf armel i386],
+               libfwup-dev (>=7) [amd64 arm64 armhf i386],
                libgcab-dev,
                gcab,
                libgirepository1.0-dev,
                libglib2.0-dev (>= 2.45.8),
+               gir1.2-appstreamglib-1.0,
                libgpgme11-dev,
-               gnupg2 (>= 2.1.0),
                libtool-bin,
                libgudev-1.0-dev,
                udev,
-               libgusb-dev (>= 0.2.2),
+               libgusb-dev (>= 0.2.9),
                libpolkit-gobject-1-dev (>= 0.103),
                libsqlite3-dev,
                pkg-config,
                libsoup2.4-dev,
                gtk-doc-tools,
                libcolorhug-dev,
-               valgrind
-Standards-Version: 3.9.7
+               gobject-introspection,
+               libsmbios-dev [amd64 i386],
+               libelf-dev,
+               autoconf-archive,
+               valgrind[!mips !sparc64 !sh4 !ppc64 !powerpcspe !hppa !alpha !mips64el !armhf !armel !mipsel]
+Standards-Version: 3.9.8
 Section: admin
 Homepage: https://github.com/hughsie/fwupd
-Vcs-Git: git://anonscm.debian.org/uefi/fwupd.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=uefi/fwupd.git
+Vcs-Git: https://anonscm.debian.org/git/uefi/fwupd.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=uefi/fwupd.git
 
 Package: libfwupd1
 Architecture: linux-any
@@ -55,6 +60,7 @@
 Package: libdfu1
 Architecture: linux-any
 Depends: ${misc:Depends},
+         ${gir:Depends},
          ${shlibs:Depends}
 Multi-Arch: same
 Description: Firmware update daemon library for DFU support
@@ -66,6 +72,22 @@
  See <https://github.com/hughsie/fwupd> for details
  .
  This package provides the library used by the daemon for DFU support.
+
+Package: libebitdo1
+Architecture: linux-any
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
+Multi-Arch: same
+Description: Firmware update daemon library for 0bitdo support
+ fwupd is a daemon to allow session software to update device firmware.
+ You can either use a GUI software manager like GNOME Software to view and
+ apply updates, the command-line tool or the system D-Bus interface directly.
+ Currently, firmware updates using the UEFI capsule format and for the
+ ColorHug are supported. More formats may be supported in the future.
+ See <https://github.com/hughsie/fwupd> for details
+ .
+ This package provides the library used by the daemon for 0bitdo device
+ support.
 
 Package: fwupd
 Architecture: linux-any
@@ -81,10 +103,27 @@
  ColorHug are supported. More formats may be supported in the future.
  See <https://github.com/hughsie/fwupd> for details
 
+Package: fwupd-doc
+Section: doc
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends},
+Description: Firmware update daemon documentation (HTML format)
+ fwupd is a daemon to allow session software to update device firmware.
+ You can either use a GUI software manager like GNOME Software to view and
+ apply updates, the command-line tool or the system D-Bus interface directly.
+ Currently, firmware updates using the UEFI capsule format and for the
+ ColorHug are supported. More formats may be supported in the future.
+ See <https://github.com/hughsie/fwupd> for details
+ .
+ This package provides development documentation for creating a package that
+ uses fwupd.
+
 Package: libfwupd-dev
 Architecture: linux-any
 Multi-Arch: same
 Depends: libfwupd1 (= ${binary:Version}),
+         gir1.2-fwupd-1.0 (= ${binary:Version}),
          ${misc:Depends}
 Breaks: fwupd-dev (<< 0.5.4-2~)
 Replaces: fwupd-dev (<< 0.5.4-2~)
@@ -98,6 +137,20 @@
  See <https://github.com/hughsie/fwupd> for details
  .
  This package provides the development files for libfwupd
+
+Package: gir1.2-fwupd-1.0
+Architecture: linux-any
+Multi-Arch: same
+Depends: ${misc:Depends},
+         ${gir:Depends}
+Breaks: libfwupd1 (<< 0.7.2-1~)
+Replaces: libfwupd1 (<< 0.7.2-1~)
+Section: introspection
+Description: GObject introspection data for libfwupd
+ This package provides the introspection data for libfwupd.
+ .
+ It can be used by packages using the GIRepository format to generate
+ dynamic bindings.
 
 Package: libdfu-dev
 Architecture: linux-any
@@ -114,3 +167,19 @@
  See <https://github.com/hughsie/fwupd> for details
  .
  This package provides the development files for libdfu
+
+Package: libebitdo-dev
+Architecture: linux-any
+Multi-Arch: same
+Depends: libdfu1 (= ${binary:Version}),
+         ${misc:Depends}
+Section: libdevel
+Description: development files for libebitdo
+ fwupd is a daemon to allow session software to update device firmware.
+ You can either use a GUI software manager like GNOME Software to view and
+ apply updates, the command-line tool or the system D-Bus interface directly.
+ Currently, firmware updates using the UEFI capsule format and for the
+ ColorHug are supported. More formats may be supported in the future.
+ See <https://github.com/hughsie/fwupd> for details
+ .
+ This package provides the development files for libebitdo

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 endif
 
 %:
-	dh $@ --with autoreconf
+	dh $@ --with autoreconf,gir
 
 override_dh_autoreconf:
 	NOCONFIGURE=1 dh_autoreconf ./autogen.sh
@@ -25,8 +25,17 @@
 		export UEFI="--disable-uefi"; \
 	fi; \
 	dh_auto_configure -- --with-systemdunitdir=/lib/systemd/system \
+				--enable-gtk-doc \
+				--libexecdir=\$${prefix}/lib \
 				$(COLORHUG) $$UEFI
 
 override_dh_install:
 	find debian/tmp/usr -name "*a" | xargs rm -f
+	rm -f debian/tmp/usr/bin/ebitdo-tool
+	sed -i 's,wheel,sudo,' ./debian/tmp/usr/share/polkit-1/rules.d/org.freedesktop.fwupd.rules
 	dh_install --fail-missing
+
+override_dh_auto_test:
+	if [ -x /usr/bin/valgrind ] ; then \
+		dh_auto_test; \
+	fi

## fwupd 0.8.1

=== debian/changelog ===
fwupd (0.8.1-3) unstable; urgency=medium

  * Backport upstream commit to make valgrind optional (Closes: #856344)
  * Backport upstream commit to make /boot/efi optional to start
    fwupd.service.

 -- Mario Limonciello <mario.limonciello@dell.com>  Tue, 28 Feb 2017 08:30:56 -0600

fwupd (0.8.1-2) unstable; urgency=medium

  * Disable optional thunderbolt support until ITP is done.

 -- Mario Limonciello <mario.limonciello@dell.com>  Mon, 27 Feb 2017 14:01:13 -0600

fwupd (0.8.1-1) unstable; urgency=medium

  * New upstream version (0.8.1).
    - Fixes systemd confinement crashes (Closes: #856145) (LP: #1663548)
  * loosen dependencies on libefivar-dev and libfwup-dev
  * Optionally enable thunderbolt

 -- Mario Limonciello <mario.limonciello@dell.com>  Mon, 27 Feb 2017 08:33:23 -0600

fwupd (0.8.0-2) unstable; urgency=medium

  * Only build synaptics on supported arch (fixes FTBFS)

 -- Mario Limonciello <mario.limonciello@dell.com>  Fri, 10 Feb 2017 11:58:18 -0600

fwupd (0.8.0-1) unstable; urgency=medium

  * New upstream version (0.8.0)
  * Refresh symbols.
  * Drop all now upstream patches.
  * Enable build hardening flags
  * Drop valgind build dependency from m68k
  * Fix fwupd process leaking into dbus cgroup
    (Closes: #845406)

 -- Mario Limonciello <mario.limonciello@dell.com>  Thu, 09 Feb 2017 14:04:38 -0600

=== debian/control ===
--- 
+++ 
@@ -13,8 +13,8 @@
                libappstream-glib-dev (>= 0.5.10),
                libarchive-dev,
                libcolord-dev (>= 1.0.0),
-               libefivar-dev (>= 28) [amd64 arm64 armhf armel i386],
-               libfwup-dev (>=7) [amd64 arm64 armhf i386],
+               libefivar-dev [amd64 arm64 armhf armel i386],
+               libfwup-dev [amd64 arm64 armhf i386],
                libgcab-dev,
                gcab,
                libgirepository1.0-dev,
@@ -34,8 +34,10 @@
                gobject-introspection,
                libsmbios-dev [amd64 i386],
                libelf-dev,
+#disabled until ITP 855065 is done
+#              libtbtfwu-dev,
                autoconf-archive,
-               valgrind[!mips !sparc64 !sh4 !ppc64 !powerpcspe !hppa !alpha !mips64el !armhf !armel !mipsel]
+               valgrind[!mips !sparc64 !sh4 !ppc64 !powerpcspe !hppa !alpha !mips64el !armhf !armel !mipsel !m68k]
 Standards-Version: 3.9.8
 Section: admin
 Homepage: https://github.com/hughsie/fwupd
@@ -75,19 +77,12 @@
 
 Package: libebitdo1
 Architecture: linux-any
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends}
 Multi-Arch: same
-Description: Firmware update daemon library for 0bitdo support
- fwupd is a daemon to allow session software to update device firmware.
- You can either use a GUI software manager like GNOME Software to view and
- apply updates, the command-line tool or the system D-Bus interface directly.
- Currently, firmware updates using the UEFI capsule format and for the
- ColorHug are supported. More formats may be supported in the future.
- See <https://github.com/hughsie/fwupd> for details
- .
- This package provides the library used by the daemon for 0bitdo device
- support.
+Priority: extra
+Section: oldlibs
+Description: Firmware update daemon library for 0bitdo support (transitional package)
+ This is a transitional package for 0bitdo support that was moved into a plugin.
 
 Package: fwupd
 Architecture: linux-any
@@ -171,15 +166,8 @@
 Package: libebitdo-dev
 Architecture: linux-any
 Multi-Arch: same
-Depends: libdfu1 (= ${binary:Version}),
-         ${misc:Depends}
-Section: libdevel
-Description: development files for libebitdo
- fwupd is a daemon to allow session software to update device firmware.
- You can either use a GUI software manager like GNOME Software to view and
- apply updates, the command-line tool or the system D-Bus interface directly.
- Currently, firmware updates using the UEFI capsule format and for the
- ColorHug are supported. More formats may be supported in the future.
- See <https://github.com/hughsie/fwupd> for details
- .
- This package provides the development files for libebitdo
+Depends: ${misc:Depends}
+Priority: extra
+Section: oldlibs
+Description: development files for libebitdo (transitional package)
+ This is a transitional package for 0bitdo support that was moved into a plugin.

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,7 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 #GPGME needs this for proper building on 32 bit archs
 ifeq "$(DEB_HOST_ARCH_BITS)" "32"

## fwupd 0.8.3

=== debian/changelog ===
fwupd (0.8.3-1) oldstable; urgency=medium

  * Update to 0.8.3 point release
    - Upstream no longer supports the 0.7.x series
  * Drop existing patches all merged into 0.8.3 release.
  * Drop no longer used libebitdo1 and libebitdo-dev packages
  * Refresh symbols
  * Backport series of commits to allow better longevity on 0.8.x
    - Use a CNAME to redirect to the correct CDN for metadata (Closes: #961490)
    - Do not abort startup if the XML metadata file is invalid
    - Add the Linux Foundation public GPG keys for firmware and metadata
    - Raise the metadata limit to 10Mb
    - Validate that gpgme_op_verify_result() returned at least one signature
      (Closes: #962517)

 -- Mario Limonciello <mario.limonciello@dell.com>  Tue, 07 Jul 2020 23:15:59 -0500

=== debian/control ===
--- 
+++ 
@@ -13,8 +13,8 @@
                libappstream-glib-dev (>= 0.5.10),
                libarchive-dev,
                libcolord-dev (>= 1.0.0),
-               libefivar-dev [amd64 arm64 armhf armel i386],
-               libfwup-dev [amd64 arm64 armhf i386],
+               libefivar-dev (>= 28) [amd64 arm64 armhf armel i386],
+               libfwup-dev (>=7) [amd64 arm64 armhf i386],
                libgcab-dev,
                gcab,
                libgirepository1.0-dev,
@@ -34,10 +34,8 @@
                gobject-introspection,
                libsmbios-dev [amd64 i386],
                libelf-dev,
-#disabled until ITP 855065 is done
-#              libtbtfwu-dev,
                autoconf-archive,
-               valgrind[!mips !sparc64 !sh4 !ppc64 !powerpcspe !hppa !alpha !mips64el !armhf !armel !mipsel !m68k]
+               valgrind[!mips !sparc64 !sh4 !ppc64 !powerpcspe !hppa !alpha !mips64el !armhf !armel !mipsel]
 Standards-Version: 3.9.8
 Section: admin
 Homepage: https://github.com/hughsie/fwupd
@@ -74,15 +72,6 @@
  See <https://github.com/hughsie/fwupd> for details
  .
  This package provides the library used by the daemon for DFU support.
-
-Package: libebitdo1
-Architecture: linux-any
-Depends: ${misc:Depends}
-Multi-Arch: same
-Priority: extra
-Section: oldlibs
-Description: Firmware update daemon library for 0bitdo support (transitional package)
- This is a transitional package for 0bitdo support that was moved into a plugin.
 
 Package: fwupd
 Architecture: linux-any
@@ -162,12 +151,3 @@
  See <https://github.com/hughsie/fwupd> for details
  .
  This package provides the development files for libdfu
-
-Package: libebitdo-dev
-Architecture: linux-any
-Multi-Arch: same
-Depends: ${misc:Depends}
-Priority: extra
-Section: oldlibs
-Description: development files for libebitdo (transitional package)
- This is a transitional package for 0bitdo support that was moved into a plugin.

## fwupd 0.9.7

=== debian/changelog ===
fwupd (0.9.7-2ubuntu1) artful; urgency=medium

  * Add a delay when running TBT controller updates (LP: #1741509)

 -- Mario Limonciello <mario.limonciello@dell.com>  Fri, 05 Jan 2018 11:14:31 -0600

fwupd (0.9.7-2) unstable; urgency=medium

  * Backport a patch to fix FTBFS on big endian architectures.

 -- Mario Limonciello <mario.limonciello@dell.com>  Fri, 01 Sep 2017 17:00:23 -0500

fwupd (0.9.7-1) unstable; urgency=medium

  [ Mario Limonciello ]
  * New upstream version (0.9.7)

  [ Mario Limonciello ]
  * trivial: debian: clarify why installed tests get installed in a generic
    directory (Closes: #872458)
  * trivial: fix some insignificant debian linitan warnings
  * trivial: debian: add autopkgtest tests to run the CI suite

  [ Max Ehrlich ]
  * Add a python script to create fwupd compatible cab files
    from Microsoft .exe files

  [ Christian Kellner ]
  * tbtfwu: remove references to legacy thunderbolt plugin

  [ Mario Limonciello ]
  * trivial: debian: update for --enable-synaptics
  * trivial: debian: only modify /etc/fwupd.conf in CI context

 -- Mario Limonciello <mario.limonciello@dell.com>  Fri, 01 Sep 2017 09:40:28 -0500

fwupd (0.9.6-1) unstable; urgency=medium

  [ Richard Hughes ]
  * trivial: post release version bump
  * trivial: Fix the colord version check in the example spec file
  * Add --version option to fwupdmgr
  * uefi: Fix crash when the product name is NULL
  * trivial: Never compare a string against zero to avoid warnings
  * unifying: Don't log a warning when an unknown report is parsed
  * trivial: Include all the GTypes in the generated docs
  * Check all the device GUIDs against the blacklist when added
  * Fix a hang on 32 bit computers
  * trivial: Fix a -Wsign-compare warning on 32 bit
  * trivial: Fix spelling of delimiter
  * trivial: Make fu_dell_detect_dock() slightly more NULL-deref safe
  * libdfu: Fix a crash if elf32_newehdr() fails
  * trivial: Remove or downgrade some superfluous warnings
  * trivial: Fix self tests after downgrading warnings commit
  * Run the plugin coldplug methods in a predictable order
  * trivial: Fix a tiny leak in the Dell plugin
  * dell: Fix the last of the memory leaks in the self tests
  * Use new GUsb functionality to fix flashing Unifying devices
  * unifying: Fix trivial error handler warning
  * trivial: Allow setting the unifying bootloader address for self tests
  * unifying: Make sure the percentage completion goes from 0% to 100%
  * trivial: Fix two tiny leaks in fwupdmgr
  * Support embedded devices with local firmware metadata
  * Rename the thunderbolt plugin to tbtfwu
  * trivial: Use warning_level in the top level meson file
  * libdfu: Add DfuPatch
  * Release fwupd 0.9.6

  [ Mario Limonciello ]
  * trivial: debian: Add libcairo-dev to build-dependencies
  * Display UEFI firmware type
  * trivial: Adjust get-devices output order
  * Include optional git checkout information in --version
  * trivial: set FWUPD_GIT_DESCRIBE even if git isn't installed
  * uefi,dell: make error messages from installing capsules useful
  * uefi: record boot variables to system log during updates (#152)
  * trivial: uefi: whitespace
  * dell, uefi: Display all errors recorded by efi_error tracing, not just
    the first one
  * uefi: test for kernel support during coldplug
  * trivial: back the requirement on appstream-glib to 0.6.9
  * trivial: packaging: lower appstream-glib requirements to match meson.build
  * trivial: correct version comparison for polkit 0.114 in meson.build
  * policy: fix compilation on a variety of configurations
  * trivial: debian: back off polkit-1 dependency
  * trivial: Add a Dockerfile for Ubuntu zesty (17.04)
  * trivial: move compilation instructions to github wiki
  * Default to "en" for UEFI capsule graphics
  * trivial: debian: move DFU introspection to it's own package
  * trivial: debian: correct some linitian errors about fwupd-tests
  * trivial: debian: add missing dh-strip-nondeterminism dependency
  * trivial: debian: update standards version
  * trivial: debian: remove transient items on purge (Closes: #868464, #868465)
  * trivial: debian: recusively cleanup on purge
  * trivial: fix various spelling errors
  * debian: run lintian as part of CI
  * Add capability to enable test suite via /etc/fwupd.conf
  * rpm: enable test suite via /etc/fwupd.conf
  * debian: enable test suite via /etc/fwupd.conf
  * trivial: clarify delimitter in use for fwupd.conf is a semicolon
  * trivial: adjust get-details and get-devices output Display Name output
  * trivial: set engine back to idle
  * Correct a memory leak in Dell plugin (Fixes #158)
  * trivial: fix some more memory leaks in dell plugin (#158)
  * dell: use plugin hash table instead
  * Revert "trivial: fix some more memory leaks in dell plugin (#158)"
  * trivial: debian: correct duplicate descriptions in control file
  * fix some more memory leaks in dell plugin (#158)
  * Add information about compile-time dependency versions
  * Drop all patches in debian/patches

  [ Patrick Ohly ]
  * meson: introspection optional

  [ Chris Lee ]
  * Make flashing ebitdo devices actually work

 -- Mario Limonciello <mario.limonciello@dell.com>  Wed, 16 Aug 2017 16:28:04 -0500

fwupd (0.9.5-2) unstable; urgency=medium

  * Upload to unstable

 -- Matthias Klumpp <mak@debian.org>  Wed, 16 Aug 2017 22:34:46 +0200

fwupd (0.9.5-1) experimental; urgency=medium

  [ Mario Limonciello ]
  * New upstream version (0.9.5)
  * deb packaging: cleaner locale fix
  * fix typo in contrib/debian/rules
  * Adjust debian dependencies
  * split out the test suite to it's own package
  * use dpkg-divert to adjust the launch script for CI testing
  * Fix long changelog in 0.9.4-1
  * move DFU introspection to it's own package
  * add missing dh-strip-nondeterminism dependency
  * debian: update standards version
  * Backport fix to build capsule graphics in right language
  * Backport patch to allow enabling test suite via conf file.



=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export LC_ALL := C.UTF-8
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

#GPGME needs this for proper building on 32 bit archs
ifeq "$(DEB_HOST_ARCH_BITS)" "32"
	export DEB_CFLAGS_MAINT_APPEND = -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE
endif

%:
	dh $@ --with gir

override_dh_auto_clean:
	rm -fr debian/build

override_dh_auto_configure:
	if pkg-config --exists fwup; then \
		export UEFI="-Denable-uefi=true"; \
	else \
		export UEFI="-Denable-uefi=false"; \
	fi; \
	if pkg-config --exists libsmbios_c; then \
		export DELL="-Denable-dell=true -Denable-synaptics=true"; \
	else \
		export DELL="-Denable-dell=false -Denable-synaptics=false"; \
	fi; \
	dh_auto_configure -- $$UEFI $$DELL -Denable-dummy=true --libexecdir=/usr/lib

override_dh_install:
	find debian/tmp/usr -type f -name "*a" -print | xargs rm -f
	sed -i 's,wheel,sudo,' ./debian/tmp/usr/share/polkit-1/rules.d/org.freedesktop.fwupd.rules
	dh_install
	dh_missing --fail-missing

	#this is placed in fwupd-tests
	rm -f debian/fwupd/usr/lib/*/fwupd-plugins-2/libfu_plugin_test.so

override_dh_strip_nondeterminism:
	dh_strip_nondeterminism -Xfirmware-example.xml.gz

override_dh_auto_test:
	if [ -x /usr/bin/valgrind ] ; then \
		dh_auto_test; \
	fi

=== debian/tests/control ===
Tests: ci
